import request from "@/utils/request";
// harmonic-boot
//低功率因数统计
export function getPowerQualityStream(data) {
    return request({
        url: "/harmonic-boot/distributedPvVolOver/getPowerQualityStream",
        method: "POST",
        data
    });
}
//详细数据表分页查询
export function getPowerQualityInfo(data) {
    return request({
        url: "/harmonic-boot/distributedPvVolOver/getPowerQualityInfo",
        method: "POST",
        data
    });
}
//获取分布式光伏电压越限分析
export function getVoltageOutOfLimitAnalysis(data) {
    return request({
        url: "/harmonic-boot/distributedPvVolOver/getVoltageOutOfLimitAnalysis",
        method: "POST",
        data
    });
}
//渗透率分析
export function getPermeabilityList(data) {
    return request({
        url: "/harmonic-boot/permeability/getPermeabilityList",
        method: "POST",
        data
    });
}
//潮流倒送分析-单位
export function streamReverseByOrg(data) {
    return request({
        url: "/harmonic-boot/streamReverse/streamReverseByOrg",
        method: "POST",
        data
    });
}
//按区域获取分布式光伏总览
export function getDistributedPvOverviewArea(data) {
    return request({
        url: "/harmonic-boot/distributedPvOverview/getDistributedPvOverviewArea",
        method: "POST",
        data
    });
}
export function getDistributedPvOverviewVoltage(data) {
    return request({
        url: "/harmonic-boot/distributedPvOverview/getDistributedPvOverviewVoltage",
        method: "POST",
        data
    });
}
export function getDistributedPvOverviewLineSort(data) {
    return request({
        url: "/harmonic-boot/distributedPvOverview/getDistributedPvOverviewLineSort",
        method: "POST",
        data
    });
}